#ifndef Name_H
#define Name_H

#include <Knopf.h>
#include <Fenster.h>
#include <TextFeld.h>
#include <Schrift.h>
#include <Bildschirm.h>

using namespace Framework;

class NameVergessen
{
private:
	Knopf *nameVergessen;
	Fenster *fenster;
	TextFeld *passwort;
	TextFeld *geheimnis;
	Knopf *weiter;
	TextFeld *nachricht;
	int ref;
	void zeigeNachricht( const char *txt );

public:
	// Konstruktor
	NameVergessen( Schrift *zSchrift, Fenster *zVorLoginFenster );
	// Destruktor
	~NameVergessen();
	// Knopfdruck
	void druckFremdKnopf(); // Ein anderer Knopf wurde gedrückt
	bool nameVergessenME( void *obj, MausEreignis me ); // MausEreignis im Knopf nameVergessen
	bool passwortTE( void *obj, TastaturEreignis te ); // Tastaturereignis im Textfeld passwort
	bool geheimnisTE( void *obj, TastaturEreignis te ); // Tastaturereignis im Textfeld geheimnis
	bool weiterME( void *obj, MausEreignis me ); // MausEreignis im Knopf weiter
	void setResult( bool ret ); // Setzt den Returnwert
	// Reference Counting
	NameVergessen *getThis();
	NameVergessen *release();
};

// messages
bool nameVergessenNameVergessenME( void *p, void *obj, MausEreignis me );
bool nameVergessenPasswortTE( void *p, void *obj, TastaturEreignis te );
bool nameVergessenGeheimnisTE( void *p, void *obj, TastaturEreignis te );
bool nameVergessenWeiterME( void *p, void *obj, MausEreignis me );

#endif